http://rhin.crai.archi.fr/rld/plugin_details.php?id=250 is the link to midline2wall.rb which looks to be exactly what you want.
Posts made by sdmitch
-
RE: Ruby plugin?
-
RE: How to "snap to" objects from point to point
frascati, If you hover over snap point 1 until endpoint appears and click then move to snap point 2 and hover until endpoint appears and click, those two point have to be in the same location. FYI, SU8, free version, will not load .dwg files.
-
RE: Rounded cornered rectangle
The plugin Fillet Tool does exactly what you want.
-
3D Text entity
Sketchup::Text seems to refer only to "2d text", is there a way to identify 3d text?
-
RE: [Plugin] KML LineString Importer
Gaieus - Yes it imports as a group of connected edges and could be draped on existing terrain but I was hoping to use the data to create terrain.
Aerilius - Yes I tried most if not all of the Altitude options but none changed the Z output.
-
RE: [Plugin] KML LineString Importer
Aerilius, Do you know if it is possible to get Google Earth to include Z data when saving a KML file of a path?
I created a couple of paths in GE and used the Save Places as... to export the paths then used your plugin to import them into Sketchup but in all casses the Z coordinates were 0.
-
RE: Displaying images at 3D Warehouse
Thanks Heiru. The temporary accept all cookies fixed the problem. I immediately raised the security to the highest level and everything displayed normally. I had not deleted any cookies lately so it would seem that 3D Warehouse, for some reason, needed to place a cookie that would otherwise be rejected if you had anything other than accept all set.
-
Displaying images at 3D Warehouse
Is it just me or is anyone else experiencing problems with the display of images at 3D Warehouse. Up until a few days ago, if I clicked on a model it would display the image and/or the 3D view. Now all I get is the red X. I have double checked the IE settings and the Show Images is checked. If I go to Google Images, everything I click on displays as usual. Any thoughts or suggestions.
-
RE: Need Help with Train Roof
You just need to reverse the process and create the rounded part of the roof first then "slice off" the angled portion of the roof by intersecting the roof with a plane and deleting the unwanted portion.
-
RE: Simple Q: how do you cancel something?
Most anything you do during any given session can be undone by selecting Undo on the Edit menu. Alt+Backspace is the keyboard equivalent.
-
RE: SU8 and scrambled plugins
Thanks Jim. I have always just used the load command in the Ruby Console or AS_loader both of which caused load errors. Sketchup.load was the answer.
-
RE: SU8 and scrambled plugins
I think so. I downloaded it from http://code.google.com/apis/sketchup/docs/tutorial_distributing.html again just yesterday.
-
RE: SU8 and scrambled plugins
Tig, As far as I have been able to determine, the .0 results from the RBS1.0 at the beginning of the file. When I edit the file and add a space between the RBS and 1.0, that error goes away. I have even attempted to scramble a script with nothing more than a puts statement and I get the same errors.
-
SU8 and scrambled plugins
Is there a problem with SU8 and scrambled plugins? I have downloaded the ruby script scrambler and have attempted to scramble and load several plugins I have created but none of them would load. Typically the errors or simuliar to these
load 'c:/users/public/sketchup/plugins/face2face.rbs'
Error: #<SyntaxError: (eval):0:inload': c:/users/public/sketchup/plugins/face2face.rbs:1: no .<digit> floating literal anymore; put 0 before dot RBS1.0... ^ c:/users/public/sketchup/plugins/face2face.rbs:1: syntax error, unexpected tINTEGER RBS1.0... ^ c:/users/public/sketchup/plugins/face2face.rbs:1: Invalid char
\020' in expression>
(eval)
(eval):0 -
RE: Segmenting a cube or rectangle
Don,
Check out my model using the link below.
http://sketchup.google.com/3dwarehouse/details?mid=c94cc88f44b94e401f3d773b4af1f0c9
I created it by creating the the two 'solids', selecting the front and right side faces before executing a plugin of mine. Is this what you were looking for?
-
RE: 3D road from outlines and height points at centerline?
There some changes I still want to make on both of the plugins, so for now they will remain private.
-
RE: 3D road from outlines and height points at centerline?
Halroach, Having spent 30 years in the survey and mapping business, I think I have a reasonable understanding of your problem. The centerline grade points provided the minimum of information but if you assume that the grade is constant between points and the road in 'flat' then each segment can be used to define a plane. The following link, http://sketchup.google.com/3dwarehouse/details?mid=52b5a9dc661d47291f3d773b4af1f0c9
is to a model I have uploaded. This model was accomplished by first converting the individual segments into curves using 'weld.rb', then the curves were smoothed using my own plugin to apply a cubic spline interpolation. Finally, using another plugin of mine, I lifted the 2d plan data to grade by first finding the two closest points horizontally to the road edge end point. Using those two points, I defined a plane and intersected a veritcal line with that plane to get the grade position. -
RE: Using .uniq! in a plugin
The statements that created the points are exactly the same in the plugin as was used to create the points in the Ruby Console.
pts=[] pts.push Geom::Point3d.new(1,1,1) pts.push Geom::Point3d.new(2,2,2) pts.push Geom::Point3d.new(1,1,1) pts.push Geom::Point3d.new(3,3,3) pts.push Geom::Point3d.new(2,2,2) pts.push Geom::Point3d.new(1,1,1) pts.uniq!
In the plugin nothing is removed as pts.length is 6 before and after the uniq! statement.
In the Ruby Console the 3 duplicates are removed. -
Using .uniq! in a plugin
In the Ruby console, if I create a series of 3d points and save them in an pts array then enter pts.uniq!, the duplicates are removed. But if I do the same thing in a plugin and execute the plugin nothing is removed. There is no indication of an error.